/*
 *	SecAODV IPv6 Project
 *
 *	See NIST-COPYRIGHT and COPYING for license.
 */

#ifndef __PKTQUEUE_H__
#define __PKTQUEUE_H__ 1

int pktqueue_init(void);

int pktqueue_insert(struct in6_addr *dest, unsigned long packet_id);

int pktqueue_remove(struct in6_addr *dest);

int pktqueue_apply(struct in6_addr *dest, void (*func)(unsigned long packet_id));

#endif /* __PKTQUEUE_H__ */
